Skip to content

Redirect to the SAML login endpoint

Request

Path
companyIdstringrequired

The unique company identifier.

Query
userTypestring(UserType)

User type.

Enum:"agent""borrower""service"
appDomainTypestring(AppDomainType)

App Domain Type.

Enum:"borrower""agent""help""admin"
returnUrlboolean

If true, will return a URL to the login instead of redirecting to the login

Default:false
GET
/companies/{companyId}/auth/saml/login
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/companies/{companyId}/auth/saml/login?userType=agent&appDomainType=borrower&returnUrl=false'

Responses

Success